Package org.wso2.carbon.viewflows.stub

## Interface FlowsAdminService

- All Known Implementing Classes:
    `FlowsAdminServiceStub`

      public interface FlowsAdminService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AxisConfigData` | `getAxisConfigData()` | Auto generated method signature
    `Object` | `getHandlerNamesForPhase​(String flow11, String phase12)` | Auto generated method signature
    `AxisConfigData` | `getOperationAxisConfigData​(String serviceId3, String operationId4)` | Auto generated method signature
    `void` | `startgetAxisConfigData​(FlowsAdminServiceCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startgetHandlerNamesForPhase​(String flow11, String phase12, FlowsAdminServiceCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations
    `void` | `startgetOperationAxisConfigData​(String serviceId3, String operationId4, FlowsAdminServiceCallbackHandler callback)` | Auto generated method signature for Asynchronous Invocations

- - ### Method Detail

    - #### getOperationAxisConfigData

          AxisConfigData getOperationAxisConfigData​(String serviceId3,
                                                    String operationId4)
                                             throws RemoteException

      Auto generated method signature
      Parameters:
        `getOperationAxisConfigData2` -
      Throws:
        `RemoteException`

    - #### startgetOperationAxisConfigData

          void startgetOperationAxisConfigData​(String serviceId3,
                                               String operationId4,
                                               FlowsAdminServiceCallbackHandler callback)
                                        throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getOperationAxisConfigData2` -
      Throws:
        `RemoteException`

    - #### getAxisConfigData

          AxisConfigData getAxisConfigData()
                                    throws RemoteException

      Auto generated method signature
      Parameters:
        `getAxisConfigData7` -
      Throws:
        `RemoteException`

    - #### startgetAxisConfigData

          void startgetAxisConfigData​(FlowsAdminServiceCallbackHandler callback)
                               throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getAxisConfigData7` -
      Throws:
        `RemoteException`

    - #### getHandlerNamesForPhase

          Object getHandlerNamesForPhase​(String flow11,
                                         String phase12)
                                  throws RemoteException

      Auto generated method signature
      Parameters:
        `getHandlerNamesForPhase10` -
      Throws:
        `RemoteException`

    - #### startgetHandlerNamesForPhase

          void startgetHandlerNamesForPhase​(String flow11,
                                            String phase12,
                                            FlowsAdminServiceCallbackHandler callback)
                                     throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getHandlerNamesForPhase10` -
      Throws:
        `RemoteException`